const chartList = [
                    [
                        {
                            title: '综合',
                            key: '0',
                            yType: 'time', // 曲线类型
                            children: [
                            {
                                title: '曲线道1',
                                key: '0-0',
                                width: '10',
                                fix: '0',
                                chart: null,
                                id: '0',
                                children: [
                                {
                                    title: '套管压力[0.00]',
                                    key: '0-0-0',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'MPa',
                                    maxNum: '100',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 11, 23, 6, 7, 1, 3],
                                    name: '套管压力(MPa)',
                                    color: '#1E90FF',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#2F4F4F',
                                    title: '立管压力[0.00]',
                                    key: '0-0-1',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'MPa',
                                    maxNum: '30',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 50, 15.5, 3.5, 10.1, 22, 10, 15, 55, 2, 9, 1, 67, 3, 4],
                                    name: '立管压力(MPa)',
                                    step: true,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#20B2AA',
                                    title: '1#泵冲[21]',
                                    key: '0-0-2',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'SPM',
                                    maxNum: '200',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [5, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 100, 0, 0, 0, 0, 0],
                                    name: '1#泵冲(SPM)',
                                    step: false,
                                    lineStyle: 'dashed'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#191970',
                                    title: '2#泵冲[0]',
                                    key: '0-0-3',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'SPM',
                                    maxNum: '200',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 2, 40, 0, 0, 2, 30, 40, 50, 0, 10, 2, 100, 123, 15],
                                    name: '2#泵冲(SPM)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#9932CC',
                                    title: '3#泵冲[0]',
                                    background: 'value',
                                    key: '0-0-4',
                                    minNum: '0',
                                    unit: 'SPM',
                                    maxNum: '200',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [1, 20, 43, 1, 2, 5, 3, 4, 5, 0, 10, 20, 10, 13, 15],
                                    name: '3#泵冲(SPM)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#DC143C',
                                    title: '入口流量[441.10]',
                                    key: '0-0-5',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'L/min',
                                    maxNum: '1000',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [150, 20, 4, 10, 20, 20, 0, 4, 5, 0, 1, 2, 10, 13, 15],
                                    name: '入口流量(L/min)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#800080',
                                    title: '出口流量[-999]',
                                    key: '0-0-6',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'L/min',
                                    maxNum: '100',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, -50, -56.5, -46.5, -22.1, -2.5, -27.7, -55.7, -76.5],
                                    name: '出口流量(%)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    }
                                ]
                            },
                            {
                                title: '曲线道2',
                                key: '0-1',
                                width: '10',
                                fix: '0',
                                chart: null,
                                id: '1',
                                children: [
                                {
                                    title: '1#池体积[29.1]',
                                    key: '0-1-0',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'm3',
                                    maxNum: '60',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5],
                                    name: '1#池体积(m3)',
                                    color: '#000000',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#0000FF',
                                    title: '2#池体积[32.8]',
                                    key: '0-1-1',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'm3',
                                    maxNum: '60',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [150, 48, 23.5, 44.5, 99.1, 15.5, 34.7, 33.7, 31.5],
                                    name: '2#池体积(m3)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#006400',
                                    title: '3#池体积[67.0]',
                                    key: '0-1-2',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'm3',
                                    maxNum: '60',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 1, 15.5, 12.5, 11.1, 21.5, 23.7, 15.7, 34.5],
                                    name: '3#池体积(m3)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#CD853F',
                                    title: '4#池体积[6.1]',
                                    key: '0-1-3',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'm3',
                                    maxNum: '60',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 12, 13.5, 16.5, 10.1, 22.5, 23.7, 14.7, 21.5],
                                    name: '4#池体积(m3)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#800000',
                                    title: '5#池体积[-999]',
                                    key: '0-1-4',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'm3',
                                    maxNum: '60',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 1, 2.5, 5.5, 22.1, 1.5, 12.7, 2.7, 3.5],
                                    name: '5#池体积(m3)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#228B22',
                                    title: '总池体积[67.9]',
                                    key: '0-1-5',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'm3',
                                    maxNum: '300',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 12, 10.5, 19.5, 18.1, 4.5, 16.7, 15.7, 12.5],
                                    name: '总池体积(m3)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#DAA520',
                                    title: '总池体积变化量[-999]',
                                    key: '0-1-6',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'm3',
                                    maxNum: '300',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 33, 50.5, 44.5, 22.1, 50.5, 50.7, 55.7, 80.5],
                                    name: '总池体积变化量(m3)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                }
                                ]
                            },
                            {
                                title: '曲线道3',
                                key: '0-2',
                                width: '10',
                                fix: '0',
                                chart: null,
                                id: '2',
                                children: [
                                {
                                    color: '#20B2AA',
                                    title: '1#泵冲[21]',
                                    key: '0-2-0',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'SPM',
                                    maxNum: '200',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [5, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 100, 0, 0, 0, 0, 0],
                                    name: '1#泵冲(SPM)',
                                    step: false,
                                    lineStyle: 'dashed'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#191970',
                                    title: '2#泵冲[0]',
                                    key: '0-2-1',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'SPM',
                                    maxNum: '200',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 2, 40, 0, 0, 2, 30, 40, 50, 0, 10, 2, 100, 123, 15],
                                    name: '2#泵冲(SPM)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#9932CC',
                                    title: '3#泵冲[0]',
                                    key: '0-2-2',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'SPM',
                                    maxNum: '200',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [1, 20, 43, 1, 2, 5, 3, 4, 5, 0, 10, 20, 10, 13, 15],
                                    name: '3#泵冲(SPM)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#DC143C',
                                    title: '入口流量[441.10]',
                                    key: '0-2-3',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'L/min',
                                    maxNum: '1000',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [150, 20, 4, 10, 20, 20, 0, 4, 5, 0, 1, 2, 10, 13, 15],
                                    name: '入口流量(L/min)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                },
                                {
                                    color: '#800080',
                                    title: '出口流量[-999]',
                                    key: '0-2-4',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'L/min',
                                    maxNum: '100',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, -50, -56.5, -46.5, -22.1, -2.5, -27.7, -55.7, -76.5],
                                    name: '出口流量(%)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                }
                                ]
                            }
                            ]
                        }
                    ],
                    [
                        {
                          title: '工程',
                          key: '1',
                          yType: 'time', // 曲线类型
                          children: [
                            {
                              title: '曲线道1',
                              key: '1-0',
                              width: '', // 宽度
                              fix: '', // 宽度是否固定
                              id: '1-0',
                              children: [
                                    {
                                    title: '大勾位置[31.46]',
                                    key: '1-0-0',
                                    background: 'value',
                                    minNum: '',
                                    unit: 'm',
                                    maxNum: '50',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 11, 23, 6, 7, 1, 3],
                                    name: '套管压力(MPa)',
                                    color: '#000000',
                                    step: false,
                                    lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#6A5ACD',
                                        title: '钻    压[0.00]',
                                        key: '1-0-1',
                                        background: 'value',
                                        minNum: '',
                                        unit: 'kn',
                                        maxNum: '300',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 50, 15.5, 3.5, 10.1, 22, 10, 15, 55, 2, 9, -1, 67, 3, 4],
                                        name: '钻    压(kn)',
                                        step: true,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#DC143C',
                                        title: '大勾负荷[969.89]',
                                        key: '1-0-2',
                                        background: 'value',
                                        minNum: '',
                                        unit: 'kn',
                                        maxNum: '2000',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [5, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 100, 0, 0, 0, 0, 0],
                                        name: '大勾负荷(kn)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#2E8B57',
                                        title: '钻    时[47.32]',
                                        key: '1-0-3',
                                        background: 'value',
                                        minNum: '',
                                        unit: 'min/m',
                                        maxNum: '50',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 2, 40, 0, 0, 2, 30, 40, 50, 0, 10, 2, 100, 123, 15],
                                        name: '钻    时(min/m)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                    color: '#9932CC',
                                    title: '3#泵冲[0]',
                                    background: 'value',
                                    key: '1-0-4',
                                    minNum: '0',
                                    unit: 'SPM',
                                    maxNum: '200',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [1, 20, 43, 1, 2, 5, 3, 4, 5, 0, 10, 20, 10, 13, 15],
                                    name: '3#泵冲(SPM)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#DC143C',
                                    title: '入口流量[441.10]',
                                    key: '1-0-5',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'L/min',
                                    maxNum: '1000',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [150, 20, 4, 10, 20, 20, 0, 4, 5, 0, 1, 2, 10, 13, 15],
                                    name: '入口流量(L/min)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    },
                                    {
                                    color: '#800080',
                                    title: '出口流量[-999]',
                                    key: '1-0-6',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'L/min',
                                    maxNum: '100',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, -50, -56.5, -46.5, -22.1, -2.5, -27.7, -55.7, -76.5],
                                    name: '出口流量(%)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    }
                                ]
                            },
                            {
                                title: '曲线道2',
                                key: '1-1',
                                width: '10',
                                fix: '0',
                                chart: null,
                                id: '1-1',
                                children: [
                                {
                                    title: '全烃含量[1.89]',
                                    key: '1-1-0',
                                    background: 'value',
                                    minNum: '0.001',
                                    unit: '%',
                                    maxNum: '100',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 5.7, 6.5, 11, 23, 6, 7, 1, 3],
                                    name: '全烃含量(%)',
                                    color: '#006400',
                                    step: false,
                                    lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#9932CC',
                                        title: 'C1[0.001]',
                                        key: '1-1-1',
                                        background: 'value',
                                        minNum: '0.001',
                                        unit: '%',
                                        maxNum: '100',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 50, 15.5, 3.5, 10.1, 22, 10, 15, 55, 2, 9, -1, 67, 3, 4],
                                        name: 'C1(%)',
                                        step: true,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#4169E1',
                                        title: 'C2[0.00]',
                                        key: '1-1-2',
                                        background: 'value',
                                        minNum: '0.001',
                                        unit: '%',
                                        maxNum: '100',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [5, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 100, 0, 0, 0, 0, 0],
                                        name: 'C2(%)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#008080',
                                        title: 'C3[0.00]',
                                        key: '1-1-3',
                                        background: 'value',
                                        minNum: '0.001',
                                        unit: '%',
                                        maxNum: '100',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 2, 40, 0, 0, 2, 30, 40, 50, 0, 10, 2, 100, 123, 15],
                                        name: 'C3(%)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#DAA520',
                                        title: 'iC4[0.00]',
                                        key: '1-1-4',
                                        background: 'value',
                                        minNum: '0.001',
                                        unit: '%',
                                        maxNum: '100',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, -50, -56.5, -46.5, -22.1, -2.5, -27.7, -55.7, -76.5],
                                        name: 'iC4(%)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                    color: '#DC143C',
                                    title: '入口流量[441.10]',
                                    key: '1-1-5',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'L/min',
                                    maxNum: '1000',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [150, 20, 4, 10, 20, 20, 0, 4, 5, 0, 1, 2, 10, 13, 15],
                                    name: '入口流量(L/min)',
                                    step: false,
                                    lineStyle: 'smooth'// 默认smooth。可选：dashed，dotted
                                    }
                                ]
                            },
                            {
                                title: '曲道3',
                                key: '1-2',
                                width: '10',
                                fix: '0',
                                chart: null,
                                id: '1-2',
                                children: [
                                    {
                                    title: '套管压力[0.00]',
                                    key: '1-2-0',
                                    background: 'value',
                                    minNum: '0',
                                    unit: 'MPa',
                                    maxNum: '100',
                                    yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                    xData: [15, 1, 5, 16, 22, 25, 26, 5.7, 76.5, 101, 203, 60, 70, 10, 30],
                                    name: '套管压力(MPa)',
                                    color: '#1E90FF',
                                    step: false,
                                    lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#2F4F4F',
                                        title: '立管压力[0.00]',
                                        key: '1-2-1',
                                        background: 'value',
                                        minNum: '0',
                                        unit: 'MPa',
                                        maxNum: '30',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 50, 15.5, 3.5, 10.1, 22, 10, 15, 55, 2, 9, 1, 67, 3, 4],
                                        name: '立管压力(MPa)',
                                        step: true,
                                        lineStyle: 'smooth'// 默认solid。可选：dashed，dotted
                                    },
                                    {
                                        color: '#20B2AA',
                                        title: '1#泵冲[21]',
                                        key: '1-2-2',
                                        background: 'value',
                                        minNum: '0',
                                        unit: 'SPM',
                                        maxNum: '200',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [5, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 100, 0, 0, 0, 0, 0],
                                        name: '1#泵冲(SPM)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#191970',
                                        title: '2#泵冲[0]',
                                        key: '1-2-3',
                                        background: 'value',
                                        minNum: '0',
                                        unit: 'SPM',
                                        maxNum: '200',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 2, 40, 0, 0, 2, 30, 40, 50, 0, 10, 2, 100, 123, 15],
                                        name: '2#泵冲(SPM)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#9932CC',
                                        title: '3#泵冲[0]',
                                        key: '1-2-4',
                                        background: 'value',
                                        minNum: '0',
                                        unit: 'SPM',
                                        maxNum: '200',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 11, 15, 17, 14, 13, 15, 11, 11.5],
                                        name: '3#泵冲(SPM)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    },
                                    {
                                        color: '#DC143C',
                                        title: '入口流量[441.10]',
                                        key: '1-2-5',
                                        background: 'value',
                                        minNum: '0',
                                        unit: 'L/min',
                                        maxNum: '1000',
                                        yData: ['0', '10', '20', '30', '40', '50', '60', '70', '80'],
                                        xData: [15, 12, 23, 12.5, 3.1, 34.5, 22.7, 34.7, 13.5],
                                        name: '入口流量(L/min)',
                                        step: false,
                                        lineStyle: 'smooth'
                                    }
                                ]
                            }
                          ]
                        }
                    ]
                ]
export function getChartList (key) {
    console.log(chartList)
    let treeIndex = 0
    if (key !== 'all') {
      treeIndex = chartList.findIndex(n => n[0].key === key)
    } else {
        return chartList
    }
    return chartList[treeIndex]
}
/* 删除曲线 */
export function deleteByKey (configureKey, chartKey, lineKey) {
    const configureIndex = chartList.findIndex(n => n[0].key === configureKey)
    const chartIndex = chartList[configureIndex][0].children.findIndex(n => n.key === chartKey)
    const lineIndex = chartList[configureIndex][0].children[chartIndex].children.findIndex(n => n.key === lineKey)
    chartList[configureIndex][0].children[chartIndex].children.splice(lineIndex, 1)
    if (chartList[configureIndex][0].children[chartIndex].children.length === 0) {
        chartList[configureIndex][0].children.splice(chartIndex, 1)
    }
}
 export function editTrack (key, data) {
    const configureIndex = chartList.findIndex(n => n[0].key === key)
    chartList[configureIndex][0].children = []
    data.forEach(element => {
        chartList[configureIndex][0].children.push(element)
    })
 }
