const data={
    HKH:[15, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 11, 23, 6, 7, 1, 3],
    WOB:[15, 50, 15.5, 3.5, 10.1, 22, 10, 15, 55, 2, 9, 1, 67, 3, 4],
    WOH:[5, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5, 100, 0, 0, 0, 0, 0],
    FLOWIN:[15, 2, 40, 0, 0, 2, 30, 40, 50, 0, 10, 2, 100, 123, 15],
    FLOWOUT:[1, 20, 43, 1, 2, 5, 3, 4, 5, 0, 10, 20, 10, 13, 15],
    SPP:[150, 20, 4, 10, 20, 20, 0, 4, 5, 0, 1, 2, 10, 13, 15],
    TORQUE:[15, -50, -56.5, -46.5, -22.1, -2.5, -27.7, -55.7, -76.5],
    ROP_INST:[15, 50, 56.5, 46.5, 22.1, 2.5, 27.7, 55.7, 76.5],
    RPM:[150, 48, 23.5, 44.5, 99.1, 15.5, 34.7, 33.7, 31.5]
}
const zjyData=[
    {
      key: "1452632386914267137",
      title: "钻井液参数",
      yType: "time",
      formType: "configure",
      children: [
        {
          id: "1452632387165925377",
          key: "1452632386914267137-1452632387165925377",
          title: "曲线道1",
          width: "10",
          fix: "0",
          formType: "track",
          children: [
            {
              id: "1454085831286394881",
              key: "1452632386914267137-1452632387165925377-1454085831286394881",
              title: "入口密度",
              background: "value",
              minNum: "0",
              maxNum: "3",
              unit: "g/cm3",
              color: "#5470c6",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "RKMD",
              formType: "line"
            },
            {
              id: "1454085831424806913",
              key: "1452632386914267137-1452632387165925377-1454085831424806913",
              title: "出口密度",
              background: "value",
              minNum: "0",
              maxNum: "3",
              unit: "g/cm3",
              color: "#91cc75",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "CKMD",
              formType: "line"
            }
          ]
        },
        {
          id: "1452632388361302017",
          key: "1452632386914267137-1452632388361302017",
          title: "曲线道2",
          width: "1",
          fix: "0",
          formType: "track",
          children: [
            {
              id: "1456151264063631361",
              key: "1452632386914267137-1452632388361302017-1456151264063631361",
              title: "入口流量",
              background: "value",
              minNum: "0",
              maxNum: "100",
              unit: "L/min",
              color: "#fac858",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "RKLL",
              formType: "line"
            },
            {
              id: "1456151264256569345",
              key: "1452632386914267137-1452632388361302017-1456151264256569345",
              title: "出口流量",
              background: "value",
              minNum: "0",
              maxNum: "100",
              unit: "%",
              color: "#ee6666",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "CKLL",
              formType: "line"
            }
          ]
        },
        {
          id: "1452632388831064066",
          key: "1452632386914267137-1452632388831064066",
          title: "曲线道3",
          width: "2",
          fix: "0",
          formType: "track",
          children: [
            {
              id: "1456151263711309826",
              key: "1452632386914267137-1452632388831064066-1456151263711309826",
              title: "1#泵冲",
              background: "value",
              minNum: "0",
              maxNum: "100",
              unit: "spm",
              color: "#91cc75",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "YHBC",
              formType: "line"
            },
            {
              id: "1456151263900053506",
              key: "1452632386914267137-1452632388831064066-1456151263900053506",
              title: "2#泵冲",
              background: "value",
              minNum: "0",
              maxNum: "100",
              unit: "spm",
              color: "#73c0de",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "EHBC",
              formType: "line"
            }
          ]
        },
        {
          id: "1452632389317603329",
          key: "1452632386914267137-1452632389317603329",
          title: "曲线道4",
          width: "1",
          fix: "0",
          formType: "track",
          children: [
            {
              id: "1452632389435043842",
              key: "1452632386914267137-1452632389317603329-1452632389435043842",
              title: "1#罐",
              background: "value",
              minNum: "0",
              maxNum: "100",
              unit: "m3",
              color: "#3ba272",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "CTJ1",
              formType: "line"
            },
            {
              id: "1452632389548290049",
              key: "1452632386914267137-1452632389317603329-1452632389548290049",
              title: "2#罐",
              background: "value",
              minNum: "0",
              maxNum: "100",
              unit: "m3",
              color: "#fc8452",
              lineStyle: "smooth",
              spread: "0",
              minSpread: "a",
              maxSpread: "a",
              dataSource: "CTJ2",
              formType: "line"
            },
            {
                id: "14526323895482900491",
                key: "1452632386914267137-1452632389317603329-14526323895482900491",
                title: "3#罐",
                background: "value",
                minNum: "0",
                maxNum: "100",
                unit: "m3",
                color: "#9a60b4",
                lineStyle: "smooth",
                spread: "0",
                minSpread: "a",
                maxSpread: "a",
                dataSource: "CTJ3",
                formType: "line"
            },
            {
                id: "14526323895482900492",
                key: "1452632386914267137-1452632389317603329-14526323895482900492",
                title: "4#罐",
                background: "value",
                minNum: "0",
                maxNum: "100",
                unit: "m3",
                color: "#c21401",
                lineStyle: "smooth",
                spread: "0",
                minSpread: "a",
                maxSpread: "a",
                dataSource: "CTJ4",
                formType: "line"
            },
            {
                id: "14526323895482900493",
                key: "1452632386914267137-1452632389317603329-14526323895482900493",
                title: "总池体积",
                background: "value",
                minNum: "0",
                maxNum: "100",
                unit: "m3",
                color: "#ea7ccc",
                lineStyle: "smooth",
                spread: "0",
                minSpread: "a",
                maxSpread: "a",
                dataSource: "ZTJ",
                formType: "line"
            },
          ]
        }
      ]
    }
  ]
export function getData (key) {
    return data
}
export function getYdata(){
  let date=new Date()
  date.setHours(0,0,2)
  let timeArr=[]
  for (let index = 1; index < 12220; index++) {
      let h=date.getHours() < 10 ? '0'+(date.getHours()) : date.getHours()
      let m=date.getMinutes() < 10 ? '0'+(date.getMinutes()) : date.getMinutes()
      let s=date.getSeconds() < 10 ? '0'+(date.getSeconds()) : date.getSeconds()
      const time='2017-04-19'+' '+h+':'+m+":"+s
      date=new Date( date.getTime()+1000*7)
       if(index===1){
        timeArr.push(time)
       }else{
           timeArr.push(time)
       }
  }
  return timeArr
}
export function getZjyConfig(){
    return zjyData
}